For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
      • GETList webhooks
      • POSTCreate a webhook
      • GETGet a webhook
      • DELDelete a webhook
      • PATCHUpdate a webhook
      • GETGet webhook signing secret
      • POSTRotate webhook signing secret
      • GETList webhook event types
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
WebhooksWebhook Management

Rotate webhook signing secret

POST
https://example.ada.support/api/v2/webhooks/:id/secret/rotate/
POST
/api/v2/webhooks/:id/secret/rotate/
1import requests
2
3url = "https://example.ada.support/api/v2/webhooks/id/secret/rotate/"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{}

Rotate the signing secret for a webhook. Optionally provide a custom key. The new secret is not returned in the response — use the get secret endpoint to retrieve it

Was this page helpful?
Previous

List webhook event types

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The webhook ID

Request

This endpoint expects an object.
keystringOptional
An optional custom signing key. If not provided, a new key is generated automatically

Response

Signing secret rotated

Errors

401
Unauthorized Error
404
Not Found Error